Skip to main content
GET
/
api
/
Contact
/
Activity
Get the Activity for the Contacts the current user is following
curl --request GET \
  --url https://api.virtuoussoftware.com/api/Contact/Activity \
  --header 'Authorization: Bearer <token>'
{
  "list": [
    {
      "contactId": "<integer>",
      "contactName": "<string>",
      "activity": "<string>",
      "contactViewUrl": "<string>"
    },
    {
      "contactId": "<integer>",
      "contactName": "<string>",
      "activity": "<string>",
      "contactViewUrl": "<string>"
    }
  ],
  "total": "<integer>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10.

Response

200 - application/json

OK

list
object[]
total
string
Last modified on June 5, 2026